﻿
@{
    ViewData["Title"] = "Building";
}

<h1>Building</h1>

<div ng-app="mainApp" ng-controller="buildingController">
    <form name="frm">
        <table class="table" name="tbt">
            <thead>
                <tr>
                    <td>id </td>
                    <td>PersonName</td>
                    <td>BuildingName</td>
                    <td></td>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="x in pbs">
                    <td>{{ x.id }}</td>
                    <td>{{ x.person.getFullName }}</td>
                    <td>{{ x.building.buildingName }}</td>
                   
                    <td>
                        <input type="button" class="btn-primary" value="Delete" ng-click=" delete(x)" />
                    </td>

                </tr>
                <tr>
                    <td></td>
                    <td>
                        <select class="form-control " style="width:150px" ng-model="model.person" ng-options="o as o.getFullName for o in personList"></select>
                    </td>
                    <td>
                        <select class="form-control " style="width:150px" ng-model="model.building" ng-options="o as o.buildingName for o in buildingList"></select>
                    </td>
                    <td>
                        <input type="button" class="btn-primary" value="Add" ng-click="SavePersonBuilding()"  />
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>

@section Scripts
{
    <script src="~/js/Controller/PersonBuilding.js"></script>
}